/******************************************************************************
* DISCLAIMER

* This software is supplied by Renesas Electronics Corporation and is only 
* intended for use with Renesas products. No other uses are authorized.

* This software is owned by Renesas Electronics Corporation and is protected under 
* all applicable laws, including copyright laws.

* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES
* REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, 
* INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
* PARTICULAR PURPOSE AND NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY 
* DISCLAIMED.

* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS 
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE 
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES 
* FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS 
* AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

* Renesas reserves the right, without notice, to make changes to this 
* software and to discontinue the availability of this software.  
* By using this software, you agree to the additional terms and 
* conditions found by accessing the following link:
* http://www.renesas.com/disclaimer
******************************************************************************/
/* Copyright (C) 2010 Renesas Electronics Corporation. All rights reserved.  */
/******************************************************************************
* File Name    : R_PG_ExtInterrupt_IRQ8.c
* Version      : 1.00
* Device(s)    : 
* Tool-Chain   : 
* H/W Platform : 
* Description  : 
* Limitations  : 
******************************************************************************
* History : 27.04.2011 Version Description
*         :   
******************************************************************************/


/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include "R_PG_ExtInterrupt_IRQ8.h"


/******************************************************************************
* ID           : 
*
* Include      : 
*
* Declaration  : bool R_PG_ExtInterrupt_Set_IRQ8(void)
*
* Function Name: R_PG_ExtInterrupt_Set_IRQ8
*
* Description  : O荞݂̐ݒ
*
* Arguments    : Ȃ
*
* Return Value : true  : ݒ肪sꂽꍇ
*              : false : ݒɎsꍇ
*
* Calling Functions : R_INTC_CreateExtInterrupt
*
* Details      : ڍׂɂĂ̓t@X}jAQƂĂB
******************************************************************************/
bool R_PG_ExtInterrupt_Set_IRQ8(void)
{
	return R_INTC_CreateExtInterrupt(
		PDL_INTC_IRQ8,
		PDL_INTC_FALLING | PDL_INTC_A | PDL_INTC_DMAC_DTC_TRIGGER_DISABLE,
		Irq8IntFunc,
		1
	);
}

/******************************************************************************
* ID           : 
*
* Include      : 
*
* Declaration  : bool R_PG_ExtInterrupt_Disable_IRQ8(void)
*
* Function Name: R_PG_ExtInterrupt_Disable_IRQ8
*
* Description  : O荞݂̐ݒ
*
* Arguments    : Ȃ
*
* Return Value : true  : ݒ肪sꂽꍇ
*              : false : ݒɎsꍇ
*
* Calling Functions : R_INTC_ControlExtInterrupt
*
* Details      : ڍׂɂĂ̓t@X}jAQƂĂB
******************************************************************************/
bool R_PG_ExtInterrupt_Disable_IRQ8(void)
{
	return R_INTC_ControlExtInterrupt(
		PDL_INTC_IRQ8,
		PDL_INTC_DISABLE
	);
}

/******************************************************************************
* ID           : 
*
* Include      : 
*
* Declaration  : bool R_PG_ExtInterrupt_GetRequestFlag_IRQ8(bool * flag)
*
* Function Name: R_PG_ExtInterrupt_GetRequestFlag_IRQ8
*
* Description  : O荞ݗvtO̎擾
*
* Arguments    : bool * flag : 荞ݗvtO̊i[
*
* Return Value : true  : tO̎擾ɐꍇ
*              : false : tO̎擾Ɏsꍇ
*
* Calling Functions : R_INTC_GetExtInterruptStatus
*
* Details      : ڍׂɂĂ̓t@X}jAQƂĂB
******************************************************************************/
bool R_PG_ExtInterrupt_GetRequestFlag_IRQ8(bool * flag)
{
	uint8_t data;
	bool res;

	res = R_INTC_GetExtInterruptStatus(
		PDL_INTC_IRQ8,
		&data
	);

	if( flag ){ *flag = data & 0x01; }

	return res;
}

/******************************************************************************
* ID           : 
*
* Include      : 
*
* Declaration  : bool R_PG_ExtInterrupt_ClearRequestFlag_IRQ8(void)
*
* Function Name: R_PG_ExtInterrupt_ClearRequestFlag_IRQ8
*
* Description  : O荞ݗvtÕNA
*
* Arguments    : Ȃ
*
* Return Value : true  : NAɐꍇ
*              : false : NAɎsꍇ
*
* Calling Functions : R_INTC_ControlExtInterrupt
*
* Details      : ڍׂɂĂ̓t@X}jAQƂĂB
******************************************************************************/
bool R_PG_ExtInterrupt_ClearRequestFlag_IRQ8(void)
{
	return R_INTC_ControlExtInterrupt(
		PDL_INTC_IRQ8,
		PDL_INTC_CLEAR_IR_FLAG
	);
}



