/******************************************************************************
* DISCLAIMER

* This software is supplied by Renesas Electronics Corporation and is only 
* intended for use with Renesas products. No other uses are authorized.

* This software is owned by Renesas Electronics Corporation and is protected under 
* all applicable laws, including copyright laws.

* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES
* REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, 
* INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
* PARTICULAR PURPOSE AND NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY 
* DISCLAIMED.

* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS 
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE 
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES 
* FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS 
* AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

* Renesas reserves the right, without notice, to make changes to this 
* software and to discontinue the availability of this software.  
* By using this software, you agree to the additional terms and 
* conditions found by accessing the following link:
* http://www.renesas.com/disclaimer
******************************************************************************/
/* Copyright (C) 2010 Renesas Electronics Corporation. All rights reserved.  */
/******************************************************************************
* File Name    : R_PG_Timer_MTU_U0_C1.c
* Version      : 1.00
* Device(s)    : 
* Tool-Chain   : 
* H/W Platform : 
* Description  : 
* Limitations  : 
******************************************************************************
* History : 27.04.2011 Version Description
*         :   
******************************************************************************/


/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include "R_PG_Timer_MTU_U0_C1.h"


/******************************************************************************
* ID           : 
*
* Include      : 
*
* Declaration  : bool R_PG_Timer_Set_MTU_U0_C1(void)
*
* Function Name: R_PG_Timer_Set_MTU_U0_C1
*
* Description  : MTU̐ݒ
*
* Arguments    : Ȃ
*
* Return Value : true  : ݒ肪sꂽꍇ
*              : false : ݒɎsꍇ
*
* Calling Functions : R_MTU2_Create
*                   : R_MTU2_Create_load_defaults
*
* Details      : ڍׂɂĂ̓t@X}jAQƂĂB
******************************************************************************/
bool R_PG_Timer_Set_MTU_U0_C1(void)
{
	R_MTU2_Create_structure parameters;

	R_MTU2_Create_load_defaults( &parameters );

	parameters.data2 = PDL_MTU2_MODE_NORMAL | PDL_MTU2_SYNC_DISABLE;
	parameters.data3 = PDL_MTU2_CLK_PCLK_DIV_256 | PDL_MTU2_CLK_RISING | PDL_MTU2_CLEAR_TGRA;
	parameters.data4 = PDL_MTU2_ADC_TRIG_TGRA_DISABLE;
	parameters.data6 = PDL_MTU2_A_OC_DISABLED | PDL_MTU2_B_OC_DISABLED;
	parameters.data9 = 0;
	parameters.data10 = 4687;
	parameters.data11 = 0;
	parameters.data12 = 0;
	parameters.data13 = 0;
	parameters.data14 = 0;
	parameters.data15 = 0;
	parameters.data16 = 0;
	parameters.data17 = 0;
	parameters.data18 = 0;
	parameters.func1 = Mtu1IcCmAIntFunc;
	parameters.func2 = PDL_NO_FUNC;
	parameters.func3 = PDL_NO_FUNC;
	parameters.func4 = PDL_NO_FUNC;
	parameters.data19 = 6;
	parameters.func5 = PDL_NO_FUNC;
	parameters.func6 = PDL_NO_FUNC;
	parameters.func7 = PDL_NO_FUNC;
	parameters.func8 = PDL_NO_FUNC;
	parameters.data20 = 0;

	return R_MTU2_Create(
		1,
		&parameters
	);
}

/******************************************************************************
* ID           : 
*
* Include      : 
*
* Declaration  : bool R_PG_Timer_StartCount_MTU_U0_C1(void)
*
* Function Name: R_PG_Timer_StartCount_MTU_U0_C1
*
* Description  : MTŨJEgJn
*
* Arguments    : Ȃ
*
* Return Value : true  : JEg̍ĊJsꂽꍇ
*              : false : JEg̍ĊJɎsꍇ
*
* Calling Functions : R_MTU2_ControlChannel
*
* Details      : ڍׂɂĂ̓t@X}jAQƂĂB
******************************************************************************/
bool R_PG_Timer_StartCount_MTU_U0_C1(void)
{
	R_MTU2_ControlChannel_structure parameters;

	parameters.data2 = PDL_MTU2_START;
	parameters.data3 = PDL_NO_DATA;
	parameters.data4 = PDL_NO_DATA;
	parameters.data5 = PDL_NO_DATA;
	parameters.data6 = PDL_NO_DATA;
	parameters.data7 = PDL_NO_DATA;
	parameters.data8 = PDL_NO_DATA;
	parameters.data9 = PDL_NO_DATA;
	parameters.data10 = PDL_NO_DATA;
	parameters.data11 = PDL_NO_DATA;
	parameters.data12 = PDL_NO_DATA;

	return R_MTU2_ControlChannel(
		1,
		&parameters
	);
}

/******************************************************************************
* ID           : 
*
* Include      : 
*
* Declaration  : bool R_PG_Timer_HaltCount_MTU_U0_C1(void)
*
* Function Name: R_PG_Timer_HaltCount_MTU_U0_C1
*
* Description  : MTŨJEgꎞ~
*
* Arguments    : Ȃ
*
* Return Value : true  : ~ɐꍇ
*              : false : ~Ɏsꍇ
*
* Calling Functions : R_MTU2_ControlChannel
*
* Details      : ڍׂɂĂ̓t@X}jAQƂĂB
******************************************************************************/
bool R_PG_Timer_HaltCount_MTU_U0_C1(void)
{
	R_MTU2_ControlChannel_structure parameters;

	parameters.data2 = PDL_MTU2_STOP;
	parameters.data3 = PDL_NO_DATA;
	parameters.data4 = PDL_NO_DATA;
	parameters.data5 = PDL_NO_DATA;
	parameters.data6 = PDL_NO_DATA;
	parameters.data7 = PDL_NO_DATA;
	parameters.data8 = PDL_NO_DATA;
	parameters.data9 = PDL_NO_DATA;
	parameters.data10 = PDL_NO_DATA;
	parameters.data11 = PDL_NO_DATA;
	parameters.data12 = PDL_NO_DATA;

	return R_MTU2_ControlChannel(
		1,
		&parameters
	);
}

/******************************************************************************
* ID           : 
*
* Include      : 
*
* Declaration  : bool R_PG_Timer_GetCounterValue_MTU_U0_C1(uint16_t * counter_val)
*
* Function Name: R_PG_Timer_GetCounterValue_MTU_U0_C1
*
* Description  : MTŨJE^l擾
*
* Arguments    : uint16_t * counter_val : JE^l̊i[
*
* Return Value : true  : 擾ɐꍇ
*              : false : 擾Ɏsꍇ
*
* Calling Functions : R_MTU2_ReadChannel
*
* Details      : ڍׂɂĂ̓t@X}jAQƂĂB
******************************************************************************/
bool R_PG_Timer_GetCounterValue_MTU_U0_C1(uint16_t * counter_val)
{
	if( counter_val == 0 ){ return false; }

	return R_MTU2_ReadChannel(
		1,
		PDL_NO_PTR,
		counter_val,
		PDL_NO_PTR,
		PDL_NO_PTR,
		PDL_NO_PTR,
		PDL_NO_PTR,
		PDL_NO_PTR,
		PDL_NO_PTR
	);
}

/******************************************************************************
* ID           : 
*
* Include      : 
*
* Declaration  : bool R_PG_Timer_SetCounterValue_MTU_U0_C1(uint16_t counter_val)
*
* Function Name: R_PG_Timer_SetCounterValue_MTU_U0_C1
*
* Description  : MTŨJE^lݒ
*
* Arguments    : uint16_t counter_val : JE^ɐݒ肷l
*
* Return Value : true  : JE^l̐ݒɐꍇ
*              : false : JE^l̐ݒɎsꍇ
*
* Calling Functions : R_MTU2_ControlChannel
*
* Details      : ڍׂɂĂ̓t@X}jAQƂĂB
******************************************************************************/
bool R_PG_Timer_SetCounterValue_MTU_U0_C1(uint16_t counter_val)
{
	R_MTU2_ControlChannel_structure parameters;

	parameters.data2 = PDL_NO_DATA;
	parameters.data3 = PDL_MTU2_REGISTER_COUNTER;
	parameters.data4 = counter_val;
	parameters.data5 = PDL_NO_DATA;
	parameters.data6 = PDL_NO_DATA;
	parameters.data7 = PDL_NO_DATA;
	parameters.data8 = PDL_NO_DATA;
	parameters.data9 = PDL_NO_DATA;
	parameters.data10 = PDL_NO_DATA;
	parameters.data11 = PDL_NO_DATA;
	parameters.data12 = PDL_NO_DATA;

	return R_MTU2_ControlChannel(
		1,
		&parameters
	);
}

/******************************************************************************
* ID           : 
*
* Include      : 
*
* Declaration  : bool R_PG_Timer_GetTGR_MTU_U0_C1(uint16_t * tgr_a_val, uint16_t * tgr_b_val, uint16_t * tgr_c_val, uint16_t * tgr_d_val, uint16_t * tgr_e_val, uint16_t * tgr_f_val)
*
* Function Name: R_PG_Timer_GetTGR_MTU_U0_C1
*
* Description  : WFlWX^̒l̎擾
*
* Arguments    : uint16_t * tgr_a_val : WFlWX^Al̊i[
*              : uint16_t * tgr_b_val : WFlWX^Bl̊i[
*              : uint16_t * tgr_c_val : WFlWX^Cl̊i[
*              : uint16_t * tgr_d_val : WFlWX^Dl̊i[
*              : uint16_t * tgr_e_val : WFlWX^El̊i[
*              : uint16_t * tgr_f_val : WFlWX^Fl̊i[
*
* Return Value : true  : 擾ɐꍇ
*              : false : 擾Ɏsꍇ
*
* Calling Functions : R_MTU2_ReadChannel
*
* Details      : ڍׂɂĂ̓t@X}jAQƂĂB
******************************************************************************/
bool R_PG_Timer_GetTGR_MTU_U0_C1(uint16_t * tgr_a_val, uint16_t * tgr_b_val, uint16_t * tgr_c_val, uint16_t * tgr_d_val, uint16_t * tgr_e_val, uint16_t * tgr_f_val)
{
	if( (tgr_a_val == 0) || \
	    (tgr_b_val == 0) )
	{
		return false;
	}

	return R_MTU2_ReadChannel(
		1,
		PDL_NO_PTR,
		PDL_NO_PTR,
		tgr_a_val,
		tgr_b_val,
		PDL_NO_PTR,
		PDL_NO_PTR,
		PDL_NO_PTR,
		PDL_NO_PTR
	);
}

/******************************************************************************
* ID           : 
*
* Include      : 
*
* Declaration  : bool R_PG_Timer_SetTGR_A_MTU_U0_C1(uint16_t tgr_a_val)
*
* Function Name: R_PG_Timer_SetTGR_A_MTU_U0_C1
*
* Description  : WFlWX^̒l̐ݒ
*
* Arguments    : uint16_t tgr_a_val : WFlWX^ɐݒ肷l
*
* Return Value : true  : ݒ肪sꂽꍇ
*              : false : ݒɎsꍇ
*
* Calling Functions : R_MTU2_ControlChannel
*
* Details      : ڍׂɂĂ̓t@X}jAQƂĂB
******************************************************************************/
bool R_PG_Timer_SetTGR_A_MTU_U0_C1(uint16_t tgr_a_val)
{
	R_MTU2_ControlChannel_structure parameters;

	parameters.data2 = PDL_NO_DATA;
	parameters.data3 = PDL_MTU2_REGISTER_TGRA;
	parameters.data4 = PDL_NO_DATA;
	parameters.data5 = tgr_a_val;
	parameters.data6 = PDL_NO_DATA;
	parameters.data7 = PDL_NO_DATA;
	parameters.data8 = PDL_NO_DATA;
	parameters.data9 = PDL_NO_DATA;
	parameters.data10 = PDL_NO_DATA;
	parameters.data11 = PDL_NO_DATA;
	parameters.data12 = PDL_NO_DATA;

	return R_MTU2_ControlChannel(
		1,
		&parameters
	);
}

/******************************************************************************
* ID           : 
*
* Include      : 
*
* Declaration  : bool R_PG_Timer_SetTGR_B_MTU_U0_C1(uint16_t tgr_b_val)
*
* Function Name: R_PG_Timer_SetTGR_B_MTU_U0_C1
*
* Description  : WFlWX^̒l̐ݒ
*
* Arguments    : uint16_t tgr_b_val : WFlWX^ɐݒ肷l
*
* Return Value : true  : ݒ肪sꂽꍇ
*              : false : ݒɎsꍇ
*
* Calling Functions : R_MTU2_ControlChannel
*
* Details      : ڍׂɂĂ̓t@X}jAQƂĂB
******************************************************************************/
bool R_PG_Timer_SetTGR_B_MTU_U0_C1(uint16_t tgr_b_val)
{
	R_MTU2_ControlChannel_structure parameters;

	parameters.data2 = PDL_NO_DATA;
	parameters.data3 = PDL_MTU2_REGISTER_TGRB;
	parameters.data4 = PDL_NO_DATA;
	parameters.data5 = PDL_NO_DATA;
	parameters.data6 = tgr_b_val;
	parameters.data7 = PDL_NO_DATA;
	parameters.data8 = PDL_NO_DATA;
	parameters.data9 = PDL_NO_DATA;
	parameters.data10 = PDL_NO_DATA;
	parameters.data11 = PDL_NO_DATA;
	parameters.data12 = PDL_NO_DATA;

	return R_MTU2_ControlChannel(
		1,
		&parameters
	);
}

/******************************************************************************
* ID           : 
*
* Include      : 
*
* Declaration  : bool R_PG_Timer_GetRequestFlag_MTU_U0_C1(bool * cm_ic_a, bool * cm_ic_b, bool * cm_ic_c, bool * cm_ic_d, bool * cm_e, bool * cm_f, bool * ov, bool * un)
*
* Function Name: R_PG_Timer_GetRequestFlag_MTU_U0_C1
*
* Description  : MTŮ荞ݗvtO̎擾ƃNA
*
* Arguments    : bool * cm_ic_a : RyA}b`/CvbgLv`AtO̊i[
*              : bool * cm_ic_b : RyA}b`/CvbgLv`BtO̊i[
*              : bool * cm_ic_c : RyA}b`/CvbgLv`CtO̊i[
*              : bool * cm_ic_d : RyA}b`/CvbgLv`DtO̊i[
*              : bool * cm_e : RyA}b`EtO̊i[
*              : bool * cm_f : RyA}b`FtO̊i[
*              : bool * ov : I[ot[tO̊i[
*              : bool * un : A_t[tO̊i[
*
* Return Value : true  : 擾ɐꍇ
*              : false : 擾Ɏsꍇ
*
* Calling Functions : R_MTU2_ReadChannel
*
* Details      : ڍׂɂĂ̓t@X}jAQƂĂB
******************************************************************************/
bool R_PG_Timer_GetRequestFlag_MTU_U0_C1(bool * cm_ic_a, bool * cm_ic_b, bool * cm_ic_c, bool * cm_ic_d, bool * cm_e, bool * cm_f, bool * ov, bool * un)
{
	uint8_t data;
	bool res;

	res = R_MTU2_ReadChannel(
		1,
		&data,
		PDL_NO_PTR,
		PDL_NO_PTR,
		PDL_NO_PTR,
		PDL_NO_PTR,
		PDL_NO_PTR,
		PDL_NO_PTR,
		PDL_NO_PTR
	);

	if( cm_ic_a ){
		*cm_ic_a = (data >> 1) & 0x01;
	}
	if( cm_ic_b ){
		*cm_ic_b = (data >> 2) & 0x01;
	}
	if( cm_ic_c ){
		*cm_ic_c = 0x00;
	}
	if( cm_ic_d ){
		*cm_ic_d = 0x00;
	}
	if( cm_e ){
		*cm_e = 0x00;
	}
	if( cm_f ){
		*cm_f = 0x00;
	}
	if( ov ){
		*ov = (data >> 6) & 0x01;
	}
	if( un ){
		*un = (data >> 7) & 0x01;
	}

	return res;
}



